/**
 * This file is part of the NocoBase (R) project.
 * Copyright (c) 2020-2024 NocoBase Co., Ltd.
 * Authors: NocoBase Team.
 *
 * This project is dual-licensed under AGPL-3.0 and NocoBase Commercial License.
 * For more information, please refer to: https://www.nocobase.com/agreement.
 */

var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var paths_exports = {};
__export(paths_exports, {
  default: () => paths_default,
  hasSortField: () => hasSortField,
  isViewCollection: () => isViewCollection,
  readOnlyCollection: () => readOnlyCollection
});
module.exports = __toCommonJS(paths_exports);
var import_collection = __toESM(require("./collection"));
var import_associations = __toESM(require("./associations"));
var paths_default = (collection, options) => {
  const paths = (0, import_collection.default)(collection);
  if (options.withAssociation && !isViewCollection(collection)) {
    Object.assign(paths, (0, import_associations.default)(collection));
  }
  return paths;
};
function hasSortField(collection) {
  for (const field of collection.fields.values()) {
    if (field.type === "sort") {
      return true;
    }
  }
  return false;
}
function readOnlyCollection(collection) {
  var _a;
  return isViewCollection(collection) && ((_a = collection.options) == null ? void 0 : _a.writableView) == false;
}
function isViewCollection(collection) {
  return collection.isView();
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  hasSortField,
  isViewCollection,
  readOnlyCollection
});
